Subject: Re: error initdb-failed
From: Carlo Florendo <[email-masked]>
To: Juliano Francisco Angeli <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Jun 2005 09:18:58 +0800

Juliano Francisco Angeli wrote:

>Hello,
>
> I am installing postgresql in the Windows 98 with cygwin. 
> A signal error 12 is happening (initdb-failed). 
> Necessary to install postgres in the Windows 98, then I am using win98, cygwin
>and postgresql-7.4.3.  
>
>They help me?  
>I did not find nothing in the aid InterNet? 
>
> I am thankful for the attention.  
>
>Juliano F. Angeli
>  
>

Have you actually read /usr/share/doc/Cygwin/postgresql-x.x.x.README?

That README contains detailed information on how to setup postgresql 
properly.  In any case, my guess is that you do not have the proper 
setting for the CYGWIN environment variable.   On the default cygwin 
shell (bash), you could try doing this:

export CYGWIN=server

Then, try running initdb.  If that does not work still, please give more 
details into what you're doing or, take a look at 
http://cygwin.com/problems.html and read the part that talks about 
running cygcheck.

HTH.

Thanks!

Best Regards,

Carlo

-- 
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/